=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-02-27 03:35:24 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-03-10 04:19:01 +0000
@@ -64,6 +64,7 @@
                 raise InternalError('Could not fetch changes')
 
             file_id = kw.get('file_id', inv.root.file_id)
+            start_revid = kw.get('start_revid', None)
             sort_type = kw.get('sort', None)
 
             # no navbar for revisions
@@ -99,6 +100,7 @@
                 'history': h,
                 'posixpath': posixpath,
                 'navigation': navigation,
+                'start_revid': start_revid,
             }
             h.flush_cache()
             self.log.info('/inventory %r: %r secs' % (revid, time.time() - z))

=== modified file 'loggerhead/templates/inventory.kid'
--- loggerhead/templates/inventory.kid	2008-03-10 04:02:42 +0000
+++ loggerhead/templates/inventory.kid	2008-03-10 04:19:01 +0000
@@ -89,8 +89,8 @@
         <td class="date"> ${util.format_date(file.change.date)} </td>
         <td class="size"> <span py:if="file.kind=='file'"> ${util.human_size(file.size)} </span></td>
         <td class="changes-link"> 
-            <a href="${branch.context_url('/changes', start_revid=file.revid, file_id=file.file_id)}"
-               title="Changes affecting ${file.filename} up to revision ${file.change.revno}"> changes </a>
+            <a href="${branch.context_url('/changes', start_revid=start_revid, file_id=file.file_id)}"
+               title="Changes affecting ${file.filename}"> changes </a>
         </td>
         <td class="download-link">
             <a href="${branch.url([ '/download', file.revid, file.file_id, file.filename ])}"

